Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.MBeanServerNotification

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExtendedMBeanServerNotification

public class MBeanServerNotification
extends Notification

Represents a notification emitted by the MBean server through the MBeanServerDelegate MBean. The MBean Server emits the following types of notifications: MBean registration, MBean de-registration.

To receive to MBeanServerNotifications, you need to be declared as listener to the `javax.management.MBeanServerDelegate` MBean that represents the MBeanServer. The ObjectName of the MBeanServerDelegate is: `JMImplementation:type=MBeanServerDelegate`.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `REGISTRATION_NOTIFICATION` Notification type denoting that an MBean has been registered.
`static java.lang.String` | `UNREGISTRATION_NOTIFICATION` Notification type denoting that an MBean has been unregistered.

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`MBeanServerNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, ObjectName objectName)` Creates an MBeanServerNotification object specifying object names of the MBeans that caused the notification and the specified notification type.

Method Summary
`ObjectName` | `getMBeanName()` Returns the object name of the MBean that caused the notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRATION_NOTIFICATION

    public static final java.lang.String REGISTRATION_NOTIFICATION

  Notification type denoting that an MBean has been registered. Value is "JMX.mbean.registered".

  See Also:
    Constant Field Values

### UNREGISTRATION_NOTIFICATION

    public static final java.lang.String UNREGISTRATION_NOTIFICATION

  Notification type denoting that an MBean has been unregistered. Value is "JMX.mbean.unregistered".

  See Also:
    Constant Field Values

Constructor Detail

### MBeanServerNotification

    public MBeanServerNotification(java.lang.String type,
                                   java.lang.Object source,
                                   long sequenceNumber,
                                   ObjectName objectName)

  Creates an MBeanServerNotification object specifying object names of the MBeans that caused the notification and the specified notification type.

Parameters:
  `type` - A string denoting the type of the notification. Set it to one these values: REGISTRATION_NOTIFICATION, UNREGISTRATION_NOTIFICATION
  `source` - The MBeanServerNotification object responsible for forwarding MBean server notification.
  `objectName` - The object name of the MBean that caused the notification.

Method Detail

### getMBeanName

    public ObjectName getMBeanName()

  Returns the object name of the MBean that caused the notification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD